OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.ConservativeRaster

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVConservativeRaster :: MonadIO m => m Bool
- gl_NV_conservative_raster :: Bool
- gl_CONSERVATIVE_RASTERIZATION_NV :: GLenum
- gl_MAX_SUBPIXEL_PRECISION_BIAS_BITS_NV :: GLenum
- gl_SUBPIXEL_PRECISION_BIAS_X_BITS_NV :: GLenum
- gl_SUBPIXEL_PRECISION_BIAS_Y_BITS_NV :: GLenum
- glSubpixelPrecisionBiasNV :: MonadIO m => GLuint -> GLuint -> m ()

# Extension Support

glGetNVConservativeRaster :: MonadIO m => m Bool

Is the NV_conservative_raster extension supported?

gl_NV_conservative_raster :: Bool

Is the NV_conservative_raster extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVConservativeRaster` in those cases instead.

# Enums

gl_CONSERVATIVE_RASTERIZATION_NV :: GLenum

gl_MAX_SUBPIXEL_PRECISION_BIAS_BITS_NV :: GLenum

gl_SUBPIXEL_PRECISION_BIAS_X_BITS_NV :: GLenum

gl_SUBPIXEL_PRECISION_BIAS_Y_BITS_NV :: GLenum

# Functions

glSubpixelPrecisionBiasNV

Arguments

:: MonadIO m |
=> GLuint | `xbits`.
-> GLuint | `ybits`.
-> m () |